
From: Sam Ravnborg <sam@ravnborg.org>

Using the syntax:
make dir/module.ko

kbuild now allows one to build a module including the final link stage. 
This is usefull when one only wants to compile a single module and thus do
not have to wait until a full kernel has finished compiling.  Tested by:
randy_dunlap <rdunlap@xenotime.net>

Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Makefile |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN Makefile~kbuild-build-a-single-module-using-make-dir-moduleko Makefile
--- 25/Makefile~kbuild-build-a-single-module-using-make-dir-moduleko	Wed Jul  6 13:46:05 2005
+++ 25-akpm/Makefile	Wed Jul  6 13:46:05 2005
@@ -792,6 +792,9 @@ export CPPFLAGS_vmlinux.lds += -P -C -U$
 	$(Q)$(MAKE) $(build)=$(@D) $@
 %.o: %.c scripts FORCE
 	$(Q)$(MAKE) $(build)=$(@D) $@
+%.ko: scripts FORCE
+	$(Q)$(MAKE) KBUILD_MODULES=$(if $(CONFIG_MODULES),1) $(build)=$(@D) $(@:.ko=.o)
+	$(Q)$(MAKE) -rR -f $(srctree)/scripts/Makefile.modpost
 %/:      scripts prepare FORCE
 	$(Q)$(MAKE) KBUILD_MODULES=$(if $(CONFIG_MODULES),1) $(build)=$(@D)
 %.lst: %.c scripts FORCE
@@ -1033,6 +1036,7 @@ help:
 	@echo  '  modules_install - Install all modules'
 	@echo  '  dir/            - Build all files in dir and below'
 	@echo  '  dir/file.[ois]  - Build specified target only'
+	@echo  '  dir/file.ko     - Build module including final link'
 	@echo  '  rpm		  - Build a kernel as an RPM package'
 	@echo  '  tags/TAGS	  - Generate tags file for editors'
 	@echo  '  cscope	  - Generate cscope index'
_
